Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLInputElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLInputElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLInputElement, Node, NodeList, HTMLFormControl

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLImageElementImpl.

    public class HTMLInputElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLInputElement, HTMLFormControl

See Also:
  `HTMLInputElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLInputElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`void` | `blur()` Deprecated.
`void` | `click()` Deprecated.
`void` | `focus()` Deprecated.
`String` | `getAccept()` Deprecated.
`String` | `getAccessKey()` Deprecated.
`String` | `getAlign()` Deprecated.
`String` | `getAlt()` Deprecated.
`boolean` | `getChecked()` Deprecated.
`boolean` | `getDefaultChecked()` Deprecated.
`String` | `getDefaultValue()` Deprecated.
`boolean` | `getDisabled()` Deprecated.
`int` | `getMaxLength()` Deprecated.
`String` | `getName()` Deprecated.
`boolean` | `getReadOnly()` Deprecated. NON-DOM: Returns true if this node is read-only.
`String` | `getSize()` Deprecated.
`String` | `getSrc()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getType()` Deprecated.
`String` | `getUseMap()` Deprecated.
`String` | `getValue()` Deprecated.
`void` | `select()` Deprecated.
`void` | `setAccept(String accept)` Deprecated.
`void` | `setAccessKey(String accessKey)` Deprecated.
`void` | `setAlign(String align)` Deprecated.
`void` | `setAlt(String alt)` Deprecated.
`void` | `setChecked(boolean checked)` Deprecated.
`void` | `setDefaultChecked(boolean defaultChecked)` Deprecated.
`void` | `setDefaultValue(String defaultValue)` Deprecated.
`void` | `setDisabled(boolean disabled)` Deprecated.
`void` | `setMaxLength(int maxLength)` Deprecated.
`void` | `setName(String name)` Deprecated.
`void` | `setReadOnly(boolean readOnly)` Deprecated.
`void` | `setSize(String size)` Deprecated.
`void` | `setSrc(String src)` Deprecated.
`void` | `setTabIndex(int tabIndex)` Deprecated.
`void` | `setUseMap(String useMap)` Deprecated.
`void` | `setValue(String value)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`cloneNode, getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, normalize, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getPrefix, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLInputElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLInputElementImpl

    public HTMLInputElementImpl(HTMLDocumentImpl owner,
                                String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public String getDefaultValue()

  Deprecated.
  Specified by:
    `getDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Deprecated.
  Specified by:
    `setDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

### getDefaultChecked

    public boolean getDefaultChecked()

  Deprecated.
  Specified by:
    `getDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Deprecated.
  Specified by:
    `setDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### getAccept

    public String getAccept()

  Deprecated.
  Specified by:
    `getAccept` in interface `org.w3c.dom.html.HTMLInputElement`

### setAccept

    public void setAccept(String accept)

  Deprecated.
  Specified by:
    `setAccept` in interface `org.w3c.dom.html.HTMLInputElement`

### getAccessKey

    public String getAccessKey()

  Deprecated.
  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Deprecated.
  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

### getAlign

    public String getAlign()

  Deprecated.
  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLInputElement`

### setAlign

    public void setAlign(String align)

  Deprecated.
  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLInputElement`

### getAlt

    public String getAlt()

  Deprecated.
  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLInputElement`

### setAlt

    public void setAlt(String alt)

  Deprecated.
  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLInputElement`

### getChecked

    public boolean getChecked()

  Deprecated.
  Specified by:
    `getChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### setChecked

    public void setChecked(boolean checked)

  Deprecated.
  Specified by:
    `setChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### getDisabled

    public boolean getDisabled()

  Deprecated.
  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Deprecated.
  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

### getMaxLength

    public int getMaxLength()

  Deprecated.
  Specified by:
    `getMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

### setMaxLength

    public void setMaxLength(int maxLength)

  Deprecated.
  Specified by:
    `setMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

### getName

    public String getName()

  Deprecated.
  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLInputElement`

### setName

    public void setName(String name)

  Deprecated.
  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLInputElement`

### getReadOnly

    public boolean getReadOnly()

  Deprecated.
  Description copied from class: `NodeImpl`
  NON-DOM: Returns true if this node is read-only. This is a shallow check.

  Specified by:
    `getReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`
  Overrides:
    `getReadOnly` in class `NodeImpl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Deprecated.
  Specified by:
    `setReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`

### getSize

    public String getSize()

  Deprecated.
  Specified by:
    `getSize` in interface `org.w3c.dom.html.HTMLInputElement`

### setSize

    public void setSize(String size)

  Deprecated.
  Specified by:
    `setSize` in interface `org.w3c.dom.html.HTMLInputElement`

### getSrc

    public String getSrc()

  Deprecated.
  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLInputElement`

### setSrc

    public void setSrc(String src)

  Deprecated.
  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLInputElement`

### getTabIndex

    public int getTabIndex()

  Deprecated.
  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Deprecated.
  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

### getType

    public String getType()

  Deprecated.
  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLInputElement`

### getUseMap

    public String getUseMap()

  Deprecated.
  Specified by:
    `getUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

### setUseMap

    public void setUseMap(String useMap)

  Deprecated.
  Specified by:
    `setUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

### getValue

    public String getValue()

  Deprecated.
  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLInputElement`

### setValue

    public void setValue(String value)

  Deprecated.
  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLInputElement`

### blur

    public void blur()

  Deprecated.
  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLInputElement`

### focus

    public void focus()

  Deprecated.
  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLInputElement`

### select

    public void select()

  Deprecated.
  Specified by:
    `select` in interface `org.w3c.dom.html.HTMLInputElement`

### click

    public void click()

  Deprecated.
  Specified by:
    `click` in interface `org.w3c.dom.html.HTMLInputElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD